For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList jobs
      • POSTCreate a job
      • GETGet a job
      • PATCHUpdate a job
      • DELDelete a job
      • POSTExecute a job
      • GETGet a job's execution plan
      • PUTReplace a job's plan
      • PATCHUpdate a job's plan
      • POSTAcknowledge a job
      • POSTAcknowledge a job outcome
      • POSTComplete a job
      • POSTFail a job
      • POSTCancel a job
      • POSTRetry a failed job
      • POSTPreview a mutation
      • POSTSplit a job
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceJobs

List jobs

GET
https://api.x.flatfile.com/v1/jobs
GET
/v1/jobs
$curl -G https://api.x.flatfile.com/v1/jobs \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d environmentId=us_env_YOUR_ID \
> -d spaceId=us_sp_YOUR_ID
200Example0
1{
2 "data": [
3 {
4 "createdAt": "2023-10-30T20:04:28.556Z",
5 "createdBy": "us_usr_YOUR_ID",
6 "id": "us_jb_YOUR_ID",
7 "operation": "submitAction",
8 "source": "us_wb_YOUR_ID",
9 "type": "workbook",
10 "updatedAt": "2023-10-30T20:04:32.075Z",
11 "config": {},
12 "destination": "us_wb_YOUR_ID",
13 "environmentId": "us_env_YOUR_ID",
14 "fileId": "us_fl_YOUR_ID",
15 "finishedAt": "2023-10-30T20:04:32.074Z",
16 "info": "Starting job to submit action to webhook.site",
17 "input": {},
18 "managed": true,
19 "mode": "foreground",
20 "outcome": {
21 "message": "Data was successfully submitted to Webhook.site. Go check it out at https://example.site/example."
22 },
23 "progress": 100,
24 "spaceId": "us_sp_YOUR_ID",
25 "startedAt": "2023-10-30T20:04:29.453Z",
26 "status": "complete",
27 "subject": {
28 "type": "resource",
29 "id": "us_wb_YOUR_ID"
30 },
31 "trigger": "immediate"
32 }
33 ],
34 "pagination": {
35 "currentPage": 3,
36 "pageCount": 50,
37 "totalCount": 100
38 }
39}
Was this page helpful?
Previous

Create a job

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

environmentIdstringOptional
When provided, only jobs for the given environment will be returned
spaceIdstringOptional
When provided, only jobs for the given space will be returned
workbookIdstringOptional
When provided, only jobs for the given workbook will be returned
fileIdstringOptional
When provided, only jobs for the given file will be returned
parentIdstringOptional
When provided, only jobs that are parts of the given job will be returned
pageSizeintegerOptional

Number of jobs to return in a page (default 20)

pageNumberintegerOptional
Based on pageSize, which page of jobs to return
sortDirectionenumOptional

Sort direction - asc (ascending) or desc (descending)

Allowed values:
excludeChildJobsbooleanOptional

When true, only top-level jobs will be returned unless a parentId is specified

sourcestringOptional
When provided, only jobs with the given source will be returned

Response

This endpoint returns an object.
datalist of objects
paginationobject
pagination info